# Class: MoneroDaemonListener

## MoneroDaemonListener()

Receives notifications as a daemon is updated.

## Constructor

#### new MoneroDaemonListener()

Source:
  - src/main/js/daemon/model/MoneroDaemonListener.js, line 4

### Methods

#### getLastBlockHeader() → {MoneroBlockHeader}

Get the last notified block header.

Source:
  - src/main/js/daemon/model/MoneroDaemonListener.js, line 20

##### Returns:

the last notified block header

Type
  MoneroBlockHeader

#### (async) onBlockHeader(header)

Called when a new block is added to the chain.

##### Parameters:

Name | Type | Description
--- | --- | ---
`header` | MoneroBlockHeader | the header of the block added to the chain

Source:
  - src/main/js/daemon/model/MoneroDaemonListener.js, line 11